org.eclipse.emf.cdo.common.revision

## Class CDORevisionUtil.AllRevisionsDumper

- java.lang.Object
- - org.eclipse.emf.cdo.common.revision.CDORevisionUtil.AllRevisionsDumper

- Direct Known Subclasses:
    CDORevisionUtil.AllRevisionsDumper.Stream
  Enclosing class:
    CDORevisionUtil

      public abstract static class CDORevisionUtil.AllRevisionsDumper
      extends java.lang.Object

  Dumps `revisions`, sorted and grouped by `branch`, to various output formats and targets. Concrete output formats and targets are implemented by subclasses.
  Since:
    4.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `CDORevisionUtil.AllRevisionsDumper.Stream` A `revision dumper` that directs all output to a stream.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllRevisionsDumper(java.util.Map<CDOBranch,java.util.List<CDORevision>> map)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dump()`
    `protected abstract void` | `dumpBranch(CDOBranch branch)`
    `protected void` | `dumpEnd(java.util.List<CDOBranch> branches)`
    `protected abstract void` | `dumpRevision(CDORevision revision)`
    `protected void` | `dumpStart(java.util.List<CDOBranch> branches)`
    `java.util.Map<CDOBranch,java.util.List<CDORevision>>` | `getMap()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AllRevisionsDumper

          public AllRevisionsDumper(java.util.Map<CDOBranch,java.util.List<CDORevision>> map)

  - ### Method Detail

    - #### getMap

          public java.util.Map<CDOBranch,java.util.List<CDORevision>> getMap()

    - #### dump

          public void dump()

    - #### dumpStart

          protected void dumpStart(java.util.List<CDOBranch> branches)

    - #### dumpEnd

          protected void dumpEnd(java.util.List<CDOBranch> branches)

    - #### dumpBranch

          protected abstract void dumpBranch(CDOBranch branch)

    - #### dumpRevision

          protected abstract void dumpRevision(CDORevision revision)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html